Subject: Re: bug#25294: 26.0.50; Allow more catch-all values for cl-defmethod's &context plus major-mode specializer

From: Noam Postavsky <[email-masked]>
Date: Mon, 11 Dec 2017 19:08:40 -0500

Eric Abrahamsen <[email-masked]> writes:

> Ahem, I only just noticed (a year later) that there was a response to
> this when I searched for bug reports I'd opened -- sorry about that.

It's had lots of time to rest then :)

>> If you want to ignore the major mode, why do you want to use the
>> major-mode specializer?
>
> It's the equivalent of the "t" branch in a `cond' statement. You write
> methods to handle specific major modes, and write another method to
> handle the catch-all case of "all other modes".

Still not really convinced by this, what's wrong with the last way you
put in your OP:

    (cl-defmethod example-method ())